# Uses of Class
it.tdlight.jni.TdApi.PrepaidPremiumGiveaway

## Uses of TdApi.PrepaidPremiumGiveaway in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PrepaidPremiumGiveaway
Modifier and Type
Field
Description
`TdApi.PrepaidPremiumGiveaway[]`
TdApi.ChatBoostStatus.`prepaidGiveaways`
The list of prepaid giveaways available for the chat; only for chat administrators.
Constructors in it.tdlight.jni with parameters of type TdApi.PrepaidPremiumGiveaway
Modifier
Constructor
Description
``
`ChatBoostStatus(String boostUrl, int[] appliedSlotIds, int level, int giftCodeBoostCount, int boostCount, int currentLevelBoostCount, int nextLevelBoostCount, int premiumMemberCount, double premiumMemberPercentage, TdApi.PrepaidPremiumGiveaway[] prepaidGiveaways)`
Describes current boost status of a chat.